<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
if(isset($_GET['form'])){ 
// 
$name = text($_POST['name']); 
$text = text($_POST['text']); 
// 
$err = false; 
// 
if(mb_strlen($text) < 1 or mb_strlen($text) > 5000){ 
err2("Слишком короткое или длинное сообщение"); 
$err = true; 
} 
// 
if(mb_strlen($name) < 1 or mb_strlen($name) > 5000){ 
err2("Слишком короткое или длинное название"); 
$err = true; 
} 
if($user['spam_topic'] >= time()){ 
err2("Создавать топик можно раз в час"); 
$err = true; 
} 
// 
if($err == false){ 
DB::$dbs->query("INSERT INTO `topic` SET `time` = ?, `name` = ?, `text` = ?, `id_user` = ?", array(time(),$name,$text,$user['id']));
DB::$dbs->query('UPDATE `users` SET `spam_topic` = ? WHERE `id` = ? LIMIT 1', array(time()+3200,$user['id']));
//
//
ok2("Топик успешно создан");
header("location: /topic_idea_list/"); 
exit(); 
} 
header("location: ?"); 
exit(); 
} 
// 
?> 

		       <div class="poster -gas">
		    <div class="start">
		     <center>
		            <span class="title-wqi">Создать топик</span>
		        
		        <div class="menu-us">
<form action = '?form' method = 'post'> 
Название:<br><input type = 'text' name = 'name'> 

<br>Сообщение:<br><textarea class="mail" name = 'text' id='message' placeholder='' maxlength = '5000'></textarea> 
</div><br><input type="submit" name="" class="butmin" value="Создать"> 
</form> 
</center>

</div></div>
<? 
//
// 
foot([]); 
//
//
?>